Bug 172841 - connection breaks when uploading large files using SSL
connection breaks when uploading large files using SSL
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vsftpd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-11-10 09:21 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0250
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 11:31:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vsftpd-ssl-large-files.patch (8.50 KB, patch)
2005-11-10 09:21 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-11-10 09:21:56 EST
vsftpd-2.0.1-5.EL4.3

1. Create a large file ( > 2GB)
2. Put it in a public directory on the vsftpd SSL server
3. Try to GET the large file
4. After a while this error will show up:
    421 Data timeout Reconnect.Sorry.

This has been fixed upstream in version 2.0.3. Backport patch by Keiichi Mori
<kmori@redhat.com> attached.
Comment 1 Bastien Nocera 2005-11-10 09:21:57 EST
Created attachment 120879 [details]
vsftpd-ssl-large-files.patch
Comment 7 Red Hat Bugzilla 2006-03-22 11:31:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0250.html

Note You need to log in before you can comment on or make changes to this bug.